Problem when compiling latest hostapd against wireless-dev and latest libnl

Jouni Malinen j at w1.fi
Thu Sep 6 09:41:45 EDT 2007


On Thu, Sep 06, 2007 at 02:53:43PM +0200, Andrea Lusuardi - UoVoBW wrote:

> i am trying to build the latest hostap git sources against the latest
> wireless-dev kernel. I already donwloaded and installed the libnl
> library (from svn), but i still get a strange compilation error:

> driver_devicescape.o driver_devicescape.c 
> driver_devicescape.c: In function 'nl80211_remove_iface':
> driver_devicescape.c:813: error: 'NL80211_CMD_DEL_VIRTUAL_INTERFACE'
> undeclared (first use in this function) 

The changes from yesterday added requirement for using the latest
linux/nl80211.h from wireless-dev#everything (i.e., the default branch
of wireless-dev is not enough; I don't actually know what is the exact
source of this, but 'everything' branch does seem to include it).
driver_devicescape.c will need to include that linux/nl80211.h one way
or the other (e.g., you can just copy it into /usr/include/linux or do
some other tricks to get it included).

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list